Bug 503220

Summary: Unable to dim backlight
Product: [Fedora] Fedora Reporter: Stephen Fromm <stephenf>
Component: DeviceKit-powerAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: chris, rhughes, richard
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:45:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Stephen Fromm 2009-05-29 13:47:56 EDT
Description of problem:

Upgraded from F10 to F11 (prerelease) and now am unable to dim the backlight.  The screen brightness is stuck at 100% all the time whether on AC or battery power.  This is a regression from F10 where the keys to dim the screen worked.

Running lshal -m, it appears that something is correctly registering the key presses:

10:38:28.451: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-up
10:38:29.638: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down

Running xbacklight to force the brightness also fails:

$ xbacklight -set 50
No outputs have backlight property

I'm not sure if this is a problem with the power management subsystem or with the X driver.

Version-Release number of selected component (if applicable):

DeviceKit-003-1.i586
xorg-x11-drv-intel-2.7.0-7.fc11.i586

How reproducible:

Always.

Steps to Reproduce:
1. Press Fn-Up or Fn-Down to change brightness.  Or ...
2. Run xbacklight with either -set or -dec.  Even xbacklight -get fails.
3.
  
Actual results:

xbacklight errors with 'No outputs have backlight property'.

Expected results:

Screen to dim.

Additional info:
Comment 1 Richard Hughes 2009-05-30 07:14:48 EDT
DeviceKit-power doesn't do anything with the backlight device... You need to be running gnome-power-manager or another session policy agent for the changes to be made. If you're running gnome-power-manager, please re-open this bug and attach the output of gnome-power-bugreport.sh. Thanks.
Comment 2 Stephen Fromm 2009-05-30 18:25:27 EDT
I am running gnome-power-manager.  This is a Samsung n110.  As I mentioned previously, I was able to control the screen brightness under F10.
Output from gnome-power-bugreport.sh below.  Please reopen this bug.  Thank you.

$ gnome-power-bugreport.sh 
Distro version:       Fedora release 11 (Leonidas)
Kernel version:       2.6.29.4-167.fc11.i586
g-p-m version:        2.26.1
HAL version:          0.5.12
System manufacturer:  missing
System version:       missing
System product:       missing
AC adapter present:   yes
Battery present:      yes
Laptop panel present: no
CPU scaling present:  yes
Battery Information:
  battery.charge_level.current = 28144  (0x6df0)  (int)
  battery.charge_level.design = 66209  (0x102a1)  (int)
  battery.charge_level.last_full = 63965  (0xf9dd)  (int)
  battery.charge_level.percentage = 43  (0x2b)  (int)
  battery.charge_level.rate = 12591  (0x312f)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = ''  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.rechargeable.is_discharging = true  (bool)
  battery.remaining_time = 8046  (0x1f6e)  (int)
  battery.reporting.current = 2508  (0x9cc)  (int)
  battery.reporting.design = 5900  (0x170c)  (int)
  battery.reporting.last_full = 5700  (0x1644)  (int)
  battery.reporting.rate = 1122  (0x462)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.serial = ''  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'SAMSUNG Electronics'  (string)
  battery.voltage.current = 11222  (0x2bd6)  (int)
  battery.voltage.design = 11340  (0x2c4c)  (int)
  battery.voltage.unit = 'mV'  (string)
GNOME Power Manager Process Information:
stephenf  2114  0.0  0.7 119660 15564 ?        Sl   May29   0:14              \_ gnome-power-manager
HAL Process Information:
68        1487  0.0  0.2   7164  4884 ?        Ss   May29   0:06 hald
root      1491  0.0  0.0   3444  1092 ?        S    May29   0:00  \_ hald-runner
root      1581  0.0  0.0   3512  1016 ?        S    May29   0:02      \_ hald-addon-input: Listening on /dev/input/event9 /dev/input/event3 /dev/input/event2 /dev/input/event6 /dev/input/event0 /dev/input/event1 /dev/input/event5
root      1612  0.0  0.0   3524   992 ?        S    May29   0:00      \_ /usr/libexec/hald-addon-cpufreq
68        1616  0.0  0.0   3180   972 ?        S    May29   0:00      \_ hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
Comment 3 Stephen Fromm 2009-06-04 12:32:21 EDT
Forgot to reopen bug.  Status now 'assigned'.
Comment 4 Bug Zapper 2009-06-09 12:48:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 10:34:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:45:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.